import{s as ne,n as le,o as ie}from"../chunks/scheduler.3e37077e.js";import{S as oe,i as re,g as i,s as n,r as j,A as me,h as o,f as s,c as l,j as te,u as G,x as m,k as se,y as pe,a,v as z,d as B,t as D,w as F}from"../chunks/index.0b341bf5.js";import{H as ae}from"../chunks/Heading.639933af.js";import{E as he}from"../chunks/EditOnGithub.aed3507d.js";function ue(N){let r,_,b,T,p,y,h,O="LlamaIndex is <strong>a complete toolkit for working with LLMs</strong>. For this course we’ll focus on three main parts that help build agents in LlamaIndex: <strong>Components</strong>, <strong>Agents and Tools</strong> and <strong>Workflows</strong>.",C,u,J='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit2/llama-index.png" alt="LlamaIndex"/>',M,g,K="Let’s look at these key parts of LlamaIndex and how they help with agents:",I,c,Q="<li><strong>Components</strong> are the basic building blocks you use in LlamaIndex. These include things like prompts, models and databases. Components often help connect LlamaIndex with other tools and libraries.</li> <li><strong>Tools</strong>: Tools are components that provide specific capabilities like searching, calculating, or accessing external services. They are the building blocks that enable agents to perform tasks.</li> <li><strong>Agents</strong>: Agents are autonomous components that can use tools and make decisions. They coordinate tool usage to accomplish complex goals.</li> <li><strong>Workflows</strong> are step-by-step processes that processing logic together. Workflows or agentic workflows are a way to structure agentic behaviour without the explicit use of agents.</li>",H,f,V="Now, let’s see what makes LlamaIndex special.",P,d,W,w,X="While LlamaIndex does some things similar to other frameworks like smolagents, it has some key benefits:",A,x,Y="<li><strong>Built-in Document Reading with LlamaParse</strong> LlamaParse was made specifically for LlamaIndex, so the integration is seamless, although it is a paid feature.</li> <li><strong>Many Ready-to-Use Components</strong> LlamaIndex has been around for a while, so it works with lots of other frameworks. This means it has many tested and reliable components.</li> <li><strong>LlamaHub</strong> is a registry of hundreds of these components, agents and tools that you can use within LlamaIndex.</li> <li><strong>Clear Workflow System</strong>. Workflows help break down how agents should make decisions step by step. This is like having a map for a conversation or task.</li>",S,L,Z=`All of these concepts are required in different scenarios to create useful agents.
In the following sections, we will go over each of these concepts in detail.
After mastering the concepts, we will use our learnings to <strong>create applied usecases with Alfred the agent</strong>!`,E,k,ee="Getting our hands on LlamaIndex is exciting, right? So, what are we waiting for? Let’s get started with <strong>finding and installing the integrations we need using LlamaHub! 🚀</strong>",q,v,U,$,R;return p=new ae({props:{title:"What is LlamaIndex?",local:"what-is-llamaindex",headingTag:"h1"}}),d=new ae({props:{title:"What Makes LlamaIndex Special?",local:"what-makes-llamaindex-special",headingTag:"h2"}}),v=new he({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit2/llama-index/llama-index.mdx"}}),{c(){r=i("meta"),_=n(),b=i("p"),T=n(),j(p.$$.fragment),y=n(),h=i("p"),h.innerHTML=O,C=n(),u=i("p"),u.innerHTML=J,M=n(),g=i("p"),g.textContent=K,I=n(),c=i("ul"),c.innerHTML=Q,H=n(),f=i("p"),f.textContent=V,P=n(),j(d.$$.fragment),W=n(),w=i("p"),w.textContent=X,A=n(),x=i("ul"),x.innerHTML=Y,S=n(),L=i("p"),L.innerHTML=Z,E=n(),k=i("p"),k.innerHTML=ee,q=n(),j(v.$$.fragment),U=n(),$=i("p"),this.h()},l(e){const t=me("svelte-u9bgzb",document.head);r=o(t,"META",{name:!0,content:!0}),t.forEach(s),_=l(e),b=o(e,"P",{}),te(b).forEach(s),T=l(e),G(p.$$.fragment,e),y=l(e),h=o(e,"P",{"data-svelte-h":!0}),m(h)!=="svelte-1un0gqp"&&(h.innerHTML=O),C=l(e),u=o(e,"P",{"data-svelte-h":!0}),m(u)!=="svelte-km6tme"&&(u.innerHTML=J),M=l(e),g=o(e,"P",{"data-svelte-h":!0}),m(g)!=="svelte-1bsxja5"&&(g.textContent=K),I=l(e),c=o(e,"UL",{"data-svelte-h":!0}),m(c)!=="svelte-1s72rfn"&&(c.innerHTML=Q),H=l(e),f=o(e,"P",{"data-svelte-h":!0}),m(f)!=="svelte-o85kfl"&&(f.textContent=V),P=l(e),G(d.$$.fragment,e),W=l(e),w=o(e,"P",{"data-svelte-h":!0}),m(w)!=="svelte-huvrrb"&&(w.textContent=X),A=l(e),x=o(e,"UL",{"data-svelte-h":!0}),m(x)!=="svelte-q74lie"&&(x.innerHTML=Y),S=l(e),L=o(e,"P",{"data-svelte-h":!0}),m(L)!=="svelte-1xr955y"&&(L.innerHTML=Z),E=l(e),k=o(e,"P",{"data-svelte-h":!0}),m(k)!=="svelte-hdbrd3"&&(k.innerHTML=ee),q=l(e),G(v.$$.fragment,e),U=l(e),$=o(e,"P",{}),te($).forEach(s),this.h()},h(){se(r,"name","hf:doc:metadata"),se(r,"content",ge)},m(e,t){pe(document.head,r),a(e,_,t),a(e,b,t),a(e,T,t),z(p,e,t),a(e,y,t),a(e,h,t),a(e,C,t),a(e,u,t),a(e,M,t),a(e,g,t),a(e,I,t),a(e,c,t),a(e,H,t),a(e,f,t),a(e,P,t),z(d,e,t),a(e,W,t),a(e,w,t),a(e,A,t),a(e,x,t),a(e,S,t),a(e,L,t),a(e,E,t),a(e,k,t),a(e,q,t),z(v,e,t),a(e,U,t),a(e,$,t),R=!0},p:le,i(e){R||(B(p.$$.fragment,e),B(d.$$.fragment,e),B(v.$$.fragment,e),R=!0)},o(e){D(p.$$.fragment,e),D(d.$$.fragment,e),D(v.$$.fragment,e),R=!1},d(e){e&&(s(_),s(b),s(T),s(y),s(h),s(C),s(u),s(M),s(g),s(I),s(c),s(H),s(f),s(P),s(W),s(w),s(A),s(x),s(S),s(L),s(E),s(k),s(q),s(U),s($)),s(r),F(p,e),F(d,e),F(v,e)}}}const ge='{"title":"What is LlamaIndex?","local":"what-is-llamaindex","sections":[{"title":"What Makes LlamaIndex Special?","local":"what-makes-llamaindex-special","sections":[],"depth":2}],"depth":1}';function ce(N){return ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Le extends oe{constructor(r){super(),re(this,r,ce,ue,ne,{})}}export{Le as component};
